Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # PixelsCompatibleConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename P1, typename P2> struct boost::gil::PixelsCompatibleConcept< P1, P2 > Concept for pixel compatibility Pixels are compatible if their channels and color space types are compatible. Compatible pixels can be assigned and copy constructed from one another.
    concept PixelsCompatibleConcept<PixelConcept P1, PixelConcept P2> : ColorBasesCompatibleConcept<P1,P2> {
        // where for each K [0..size<P1>::value):
        //    ChannelsCompatibleConcept<kth_semantic_element_type<P1,K>::type, kth_semantic_element_type<P2,K>::type>;
    };
## Public Member Functions
void | constraints ()
The documentation for this struct was generated from the following file: gil_concept.hpp